<div class="tm-sc tm-sc-button <?php echo esc_attr(implode(' ', $classes)); ?>">
	<a  href="<?php echo esc_url( $button['url'] ); ?>" 
		target="<?php echo ( ( $button['target'] == '' ) ? '_self' : esc_attr( $button['target'] ) ); ?>"
		class="<?php echo esc_attr(implode(' ', $btn_classes)); ?>">
		<?php if( $add_icon && $button_icon_left !='' ) { echo '<i class="'. esc_attr( $button_icon_left ).'"></i> '; }?>
		<?php 
			if( empty( $button_text ) ) {
				echo esc_html( $button['title'] );
			} else {
				echo esc_html( $button_text );
			}
		?>
		<?php if( $add_icon && $button_icon_right !='' ) { echo ' <i class="'. esc_attr( $button_icon_right ).'"></i>'; }?>
	</a>
</div>